Package org.apache.sling.cms.readability

## Class Sentence

- java.lang.Object
- - org.apache.sling.cms.readability.Sentence

    public class Sentence
    extends Object

Represents a sentence which has been analyzed

### Constructor Summary

Constructors
`Sentence​(String text, List<Word> words)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCharacterCount()`
`int` `getComplexWordCount()`
`int` `getSyllableCount()`
`String` `getText()`
`int` `getWordCount()`
`List<Word>` `getWords()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Sentence

    public Sentence​(String text,
                    List<Word> words)

### Method Detail

#### getCharacterCount

    public int getCharacterCount()

#### getComplexWordCount

    public int getComplexWordCount()

#### getSyllableCount

    public int getSyllableCount()

#### getText

    public String getText()

#### getWordCount

    public int getWordCount()

#### getWords

    public List<Word> getWords()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`